Loading...
Searching...
No Matches
juce::SystemAudioVolume Class Reference

`#include <juce_SystemAudioVolume.h>`

## Static Public Member Functions

static float JUCE_CALLTYPE | getGain ()
static bool JUCE_CALLTYPE | setGain (float newGain)
static bool JUCE_CALLTYPE | isMuted ()
static bool JUCE_CALLTYPE | setMuted (bool shouldBeMuted)

## Detailed Description

Contains functions to control the system's master volume.

Definition at line 32 of file juce_SystemAudioVolume.h.

## Member Function Documentation

## getGain()

float JUCE_CALLTYPE juce::SystemAudioVolume::getGain | ( |  | ) |

static

Returns the operating system's current volume level in the range 0 to 1.0

Definition at line 253 of file juce_audio_devices.cpp.

## isMuted()

bool JUCE_CALLTYPE juce::SystemAudioVolume::isMuted | ( |  | ) |

static

Returns true if the system's audio output is currently muted.

Definition at line 255 of file juce_audio_devices.cpp.

## setGain()

bool JUCE_CALLTYPE juce::SystemAudioVolume::setGain | ( | float | newGain | ) |

static

Attempts to set the operating system's current volume level.

Parameters

  newGain | the level, between 0 and 1.0

Returns
  true if the operation succeeds

Definition at line 254 of file juce_audio_devices.cpp.

## setMuted()

bool JUCE_CALLTYPE juce::SystemAudioVolume::setMuted | ( | bool | shouldBeMuted | ) |

static

Attempts to mute the operating system's audio output.

Parameters

  shouldBeMuted | true if you want it to be muted

Returns
  true if the operation succeeds

Definition at line 256 of file juce_audio_devices.cpp.

The documentation for this class was generated from the following files:

- juce_SystemAudioVolume.h
- juce_audio_devices.cpp